Skip to content

After Vault has finished processing the deploy job, use this request to retrieve the results of the completed deployment.

GET/api/{version}/vobject/vault_package__v/{package_id}/actions/deploy/results
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
package_idThe id field value of the vault_package__v object record used for deployment. See Deploy Package.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v25.1/vobject/vault_package__v/0PI000000000101/actions/deploy/results
{ "responseStatus": "SUCCESS", "responseDetails": { "total_steps": 1, "deployed": 1, "deployed_with_warnings": 0, "deployed_with_failures": 1, "deployed_with_error": 0, "failed": 0, "skipped": 0, "package_status__v": "deployed_with_failures__v", "deployment_log": [ { "filename": "PKG-0002-Validation.log", "url": "https://myvault.veevavault.com/api/v25.1/vobjects/vault_package__v/0PI000000000101/attachments/1208/versions/1/file", "created_date__v": "2024-12-04 14:50:17.699" }, { "filename": "PKG-0002-Deployment.log", "url": "https://myvault.veevavault.com/api/v25.1/vobjects/vault_package__v/0PI000000000101/attachments/1305/versions/1/file", "created_date__v": "2024-12-04 14:52:02.149" } ], "data_deployment_log": [ { "filename": "19523_PKG-0002_2024-12-04_14_52_02_Success_Failure_logs.zip", "url": "https://myvault.veevavault.com/api/v25.1/services/package/actions/deploy/data_results/966404/19523_PKG-0002_2024-12-04_14_52_02_Success_Failure_logs.zip" } ] }, "package_steps": [ { "id": "0IS00000000E011", "name__v": "00010", "step_type__v": "Data", "step_name__v": "product__v", "type__v": "Object", "deployment_status__v": "deployed_with_failures__v", "step_label__v": "DSET-00002-product__v", "package_components": [], "package_data": [ { "id": "0PT000000003001", "name__v": "DSET-00002-product__v", "object__v": "product__v", "data_type__v": "Object", "data_action__v": "Create", "record_migration_mode__sys": false, "record_count__sys": "21", "checksum__v": "28cebd01b7b76ccd6bac382f614c8827" } ], "package_code": [] } ] }

The deployment_log provides a URL to download the latest version of the deployment log. If the deployed package includes datasets, the response also provides the data_deployment_log with a URL to download the data deployment log.

Learn more about the possible response values for deployment_status__v in Vault Help.